// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FStructProperty.h"

#include "SCW_FProperty.h"
#include "UObject/UnrealType.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FStructProperty::SCW_FStructProperty(FStructProperty* InStructProperty) : SCW_FProperty(InStructProperty), StructProperty(InStructProperty)
{

}

ISCW_FPropertyPtr SCW_FStructProperty::AsProperty() const
{
	return GetSharedThisAs<SCW_FProperty>();
}

ISCW_UScriptStructPtr SCW_FStructProperty::GetStruct() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*StructProperty->Struct);
}

FStructProperty* SCW_FStructProperty::ToFStructProperty() const
{
	return StructProperty;
}
